org.baraza.web

## Class Bajax

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.baraza.web.Bajax

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class Bajax
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bajax()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `calMove(String id, String startDate, String startTime, String endDate, String endTime)`
    `String` | `calOperation(String id, String ids, javax.servlet.http.HttpServletRequest request)`
    `String` | `calResize(String id, String endDate, String endTime)`
    `String` | `changePassword(String oldPass, String newPass)`
    `void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `String` | `escapeSQL(String str)`
    `String` | `executeSQLFxn(String fxn, String prms, String from)`
    `String` | `filterJSON(javax.servlet.http.HttpServletRequest request)`
    `String` | `importProcess(String sqlProcess)`
    `String` | `updateGrid(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bajax

          public Bajax()

  - ### Method Detail

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`

    - #### doGet

          public void doGet(javax.servlet.http.HttpServletRequest request,
                   javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`

    - #### updateGrid

          public String updateGrid(javax.servlet.http.HttpServletRequest request)

    - #### calResize

          public String calResize(String id,
                         String endDate,
                         String endTime)

    - #### calMove

          public String calMove(String id,
                       String startDate,
                       String startTime,
                       String endDate,
                       String endTime)

    - #### executeSQLFxn

          public String executeSQLFxn(String fxn,
                             String prms,
                             String from)

    - #### escapeSQL

          public String escapeSQL(String str)

    - #### calOperation

          public String calOperation(String id,
                            String ids,
                            javax.servlet.http.HttpServletRequest request)

    - #### filterJSON

          public String filterJSON(javax.servlet.http.HttpServletRequest request)

    - #### changePassword

          public String changePassword(String oldPass,
                              String newPass)

    - #### importProcess

          public String importProcess(String sqlProcess)

Copyright © 2016 openBaraza. All Rights Reserved.